<?php

/*
 * This file is part of the Sylius package.
 *
 * (c) Paweł Jędrzejewski
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Sylius\Component\Addressing\Converter;

/**
 * @author Łukasz Chruściel <lukasz.chrusciel@lakion.com>
 */
interface CountryNameConverterInterface
{
    /**
     * @param string $name
     * @param string $locale
     *
     * @return string
     *
     * @throws \InvalidArgumentException If name is not found in country code registry.
     */
    public function convertToCode($name, $locale = 'en');
}
